Subject: Bug#1312: [X2Go-Dev] Bug#1312: QT applications crash with x2go server 4.1.0.2

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 23 Oct 2018 22:52:17 +0200

On Tue, Oct 23, 2018 at 2:39 AM Adrian Bickerstaffe
<[email-masked]> wrote:
>
> The main one is Rstudio 1.1.456 which was installed from the .deb package available from https://download1.rstudio.org/rstudio-xenial-1.1.456-amd64.deb (64.9MB).
>
> Without the workaround, RStudio fails to launch with the same sort of error reported earlier in this thread. With the workaround, users reported “…quite difficult to navigate, slow response from server. In particular but not only when using R studio. As well as constant flickering of server window” and "The server window is often “flickering”, and response time is very slow."

I have tried that version but since I have no R experience I cannot
see any problems - neither with an old nx version nor with the latest
(and greatest ;-) developer version.

Without BIG-REQUESTS it fails with a GL message which indicates that
it is using OpenGL which is slow on NX. Maybe rstudio offers a way to
switch off OpenGL usage. I expect it to be fast then.

I seems there have been ways to configure that in rstudio (see
https://github.com/rstudio/rstudio/issues/3185) but my version 1.1,456
does not offer these settings.

You can TRY adding "-extension GLX" (which disables the GLX extension)
to x2goagent.options and see what happens.

Uli